Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class CreatePrescriptionParam

    java.lang.Object
      be.recipe.services.PartyIdentification
          be.recipe.services.CreatePrescriptionParam

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class CreatePrescriptionParam

extends PartyIdentification
implements Serializable

Java class for createPrescriptionParam complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="createPrescriptionParam">
       <complexContent>
         <extension base="{http://services.recipe.be}partyIdentification">
           <sequence>
             <element name="prescription" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="prescriptionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="feedbackRequested" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="keyId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="symmKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CreatePrescriptionParam()`

Method Summary
`String` | `getKeyId()` Gets the value of the keyId property.
`byte[]` | `getPrescription()` Gets the value of the prescription property.
`String` | `getPrescriptionType()` Gets the value of the prescriptionType property.
`byte[]` | `getSymmKey()` Gets the value of the symmKey property.
`Boolean` | `isFeedbackRequested()` Gets the value of the feedbackRequested property.
`void` | `setFeedbackRequested(Boolean value)` Sets the value of the feedbackRequested property.
`void` | `setKeyId(String value)` Sets the value of the keyId property.
`void` | `setPrescription(byte[] value)` Sets the value of the prescription property.
`void` | `setPrescriptionType(String value)` Sets the value of the prescriptionType property.
`void` | `setSymmKey(byte[] value)` Sets the value of the symmKey property.

Methods inherited from class be.recipe.services.PartyIdentification
`getExecutorId, getPatientId, getPrescriberId, setExecutorId, setPatientId, setPrescriberId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreatePrescriptionParam

    public CreatePrescriptionParam()

Method Detail

### getPrescription

    public byte[] getPrescription()

  Gets the value of the prescription property.

  Returns:
    possible object is byte[]

### setPrescription

    public void setPrescription(byte[] value)

  Sets the value of the prescription property.

  Parameters:
    `value` - allowed object is byte[]

### getPrescriptionType

    public String getPrescriptionType()

  Gets the value of the prescriptionType property.

  Returns:
    possible object is `String`

### setPrescriptionType

    public void setPrescriptionType(String value)

  Sets the value of the prescriptionType property.

  Parameters:
    `value` - allowed object is `String`

### isFeedbackRequested

    public Boolean isFeedbackRequested()

  Gets the value of the feedbackRequested property.

  Returns:
    possible object is `Boolean`

### setFeedbackRequested

    public void setFeedbackRequested(Boolean value)

  Sets the value of the feedbackRequested property.

  Parameters:
    `value` - allowed object is `Boolean`

### getKeyId

    public String getKeyId()

  Gets the value of the keyId property.

  Returns:
    possible object is `String`

### setKeyId

    public void setKeyId(String value)

  Sets the value of the keyId property.

  Parameters:
    `value` - allowed object is `String`

### getSymmKey

    public byte[] getSymmKey()

  Gets the value of the symmKey property.

  Returns:
    possible object is byte[]

### setSymmKey

    public void setSymmKey(byte[] value)

  Sets the value of the symmKey property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.